Scrape TikTok videos
curl --request POST \
--url https://rawugc.com/api/v1/scrape-tiktok \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"mode": "keyword",
"limit": 10
}
'import requests
url = "https://rawugc.com/api/v1/scrape-tiktok"
payload = {
"query": "<string>",
"mode": "keyword",
"limit": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', mode: 'keyword', limit: 10})
};
fetch('https://rawugc.com/api/v1/scrape-tiktok', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scrapeId": "<string>",
"count": 123,
"videos": [
{
"id": "<string>",
"url": "<string>",
"author": "<string>",
"description": "<string>",
"stats": {
"views": 123,
"likes": 123,
"comments": 123,
"shares": 123
},
"duration": 123,
"hashtags": [
"<string>"
],
"thumbnail": "<string>",
"videoUrl": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}Research
Scrape TikTok videos
Scrape TikTok videos by keyword, hashtag, or search query. Returns video metadata and temporary download URLs. Costs 3 credits per request.
POST
/
scrape-tiktok
Scrape TikTok videos
Authorizations
Use your API key from the RawUGC dashboard. Include as: Authorization: Bearer YOUR_API_KEY
Body
application/json
Was this page helpful?
⌘I

